Subject: Wind Battery Chargers

From: Tom Gray <[email-masked]>
Date: 15 Jun 94 10:22 PDT

> From: Ian Douglas <[email-masked]>
 > Subject: wind powered battery chargers
 > Date: Wed, 15 Jun 1994 18:03:28 +0200 (GMT+0200)
 > 
 > Hi Tom
 > 
 > I wonder if you can help me please..
 > 
 > A friend at work also has a farm, and is seeking a supplier of wind driven
 > battery chargers - basically a propellor that charges up car and truck
 > batteries. They make use of these things on the farm.
 > 
 > There is only one supplier in South Africa, who is importing them from USA
 > and making a massive mark up..
 > 
 > I have been bragging about how wonderful the net is, and how you can find
 > out anything, so he challenged me to produce. :-)
 > 
 > So do you perhaps have a name and address of such a supplier, or perhaps
 > where I can find a FAQ that has such info?
 > 
 > Thanks very much in advance for your time and assistence  :-)
 > 
 > Cheers, Ian
 > 

WIND BATTERY CHARGER SUPPLIERS
June 15, 1994

-----------------------------------------------------------------------
Bergey Windpower Company, Inc.
2001 Priestley Avenue
Norman, OK 73069
(405) 364-4212
FAX (405)364-2078
[email-masked]

850 watts, 1.5 kW, 10 kW
-----------------------------------------------------------------------
Ehecatl Mexicana SA de CV
Galeana Esq. Juan Alvarez
Toluca, Mexico, CP 50150
52-721-4131-2
FAX 52-721-4494-8

500 watts to 20 kW
-----------------------------------------------------------------------
Wind Turbine Industries Corp.
16801 Industrial Circle South East
Prior Lake, MN 55372
(612) 447-6064
FAX (612) 447-6050

10 kW, 12.5 kW, 15 kW, 17.5 kW, 20 kW
-----------------------------------------------------------------------
World Power Technologies
19 N. Lake Avenue
Duluth, MN 55802
(218) 722-1492
FAX (218) 722-0791

600 watts, 1 kW, 3 kW
-----------------------------------------------------------------------